<?
include_once("./_common.php");
include_once("$g4[path]/lib/mailer.lib.php");

if(!$leave_code) {
	//-- 탈퇴 선 처리 -----------------------------------------------------------------------------

	//-- 입력한 정보가 맞는지 확인
	if (!$member[mb_id]) alert("회원만 접근하실 수 있습니다.");
	if ($is_admin == "super") alert("최고 관리자는 탈퇴할 수 없습니다"); 

	if($member[mb_name] != $mb_name || $member[mb_nick] != $mb_nick || $member[mb_email] != $mb_email)
		alert("입력하신 정보가 맞지 않습니다.");

	if (!($_POST[mb_password] && $member[mb_password] == sql_password($_POST[mb_password])))
	    alert("패스워드가 틀립니다.");

	if(!($zm_config[usepasswdq] && $member[mb_password_a] == $_POST[mb_passworda]))
		alert("비밀번호 분실 시 질문에 대한 답변이 일치하지 않습니다.");

	//-- 탈퇴 확인 메일 전송
	// 난수 발생
	srand(time());
	$randval	= rand(6, 8); 
	$temp_word	= substr(md5(get_microtime()), 0, $randval);
	$tmp_encode	= sql_password($temp_word);

	// 회원테이블에 필드를 추가
	sql_query("ALTER TABLE `$g4[member_table]` ADD `mb_lost_certify` VARCHAR( 255 ) NOT NULL AFTER `mb_memo` ", false);

	$sql	= "update $g4[member_table] set mb_lost_certify = '$tmp_encode' where mb_id = '$member[mb_id]' ";
	sql_query($sql);

	$href		= "$g4[url]/$g4[bbs]/member_leave.php?leave_code=$tmp_encode&id=$member[mb_id]";
	$subject	= "회원님의 탈퇴 정보입니다.";

	//-- 메일로 전송 될 페이지
	$content = "";
	$content .= "<div style='line-height:180%;'>";
	$content .= "<p>탈퇴 작업을 계속 진행하기 위해서 아래 주소를 클릭 해 주세요.</p>";
	$content .= "<hr>";
	$content .= "<ul>";
	$content .= "<li>아이디 : $member[mb_id]</li>";
	$content .= "<li>이름 : ".addslashes($member[mb_name])."</li>";
	$content .= "<li>별명 : ".addslashes($member[mb_nick])."</li>";
	$content .= "<li>이메일주소 : ".addslashes($member[mb_email])."</li>";
	$content .= "<li>요청일시 : $g4[time_ymdhis]</li>";
	$content .= "<li>홈페이지 : $g4[url]</li>";
	$content .= "</ul>";
	$content .= "<hr>";
	$content .= "<p><a href='$href' target='_blank'>$href</a></p>";
	$content .= "<p>";
	$content .= "1. 위의 링크를 클릭하십시오. 링크가 클릭되지 않는다면 링크를 브라우저의 주소창에 직접 복사해 넣으시기 바랍니다.<br />";
	$content .= "2. 링크를 클릭하시면 탈퇴 작업이 완료 됩니다.<br />";
	$content .= "3. 탈퇴 후 재가입을 원하실 때는 고객센터에 문의 주시기 바랍니다.<br />";
	$content .= "4. 보다 나은 서비스를 위해 최선을 다하겠습니다.";
	$content .= "</p>";
	$content .= "</div>";

	$admin	= get_admin('super');
	mailer($admin[mb_nick], $admin[mb_email], $member[mb_email], $subject, $content, 1);

	if (!$url)    $url = $g4[path]; 
	alert("입력하신 메일로 탈퇴 정보를 발송 하였습니다. 확인 후 탈퇴 과정을 계속 진행하시기 바랍니다.", $url);
}elseif($leave_code) {
	//-- 이메일 확인 했을 때만 탈퇴 처리 ----------------------------------------------------------

	//-- 회원정보 읽어오기
	$mem_info	= sql_fetch("select * from $g4[member_table] where mb_id='$id'");
	
	if($mem_info[mb_lost_certify] == $leave_code) {
		// 회원탈퇴 이유를 저장
		if($whyleave)	$strleave	= ", mb_10='탈퇴이유:$whyleave'";

		$date	= date("Ymd");
		$sql	= " update $g4[member_table] set mb_leave_date = '$date' $strleave where mb_id = '$member[mb_id]' ";
		sql_query($sql);

		// 3.09 수정 (로그아웃)
		unset($_SESSION['ss_mb_id']);

		if (!$url)    $url = $g4[path]; 
		alert("{$member[mb_nick]}님께서는 " . date("Y년 m월 d일") . "에 회원에서 탈퇴 하셨습니다.", $url);
	}else{
		if (!$url)    $url = $g4[path]; 
		alert("잘 못 된 접근입니다.", $url);
	}
}


?>
